<?php
	$audio_url = get_post_meta(get_the_ID(), '_junkie_audio_file_url', true);
	// $audio_format= end(explode(".",$audio_url));
	$audio_format= explode(".",$audio_url);
	if ( $audio_format ) {
		switch ($audio_format) {
			case "mp3":
				$mp3 = $audio_url;
				break;  
			case "m4a":
				$m4a = $audio_url;
				break;
			case "ogg":
				$oga = $audio_url;
				break;
			/* too much issues
			case "webm":
			  $webma = $audio_url;
			  break;

			case "flac":
			  $fla = $audio_url;
			  break;
			case "wav":
			  $wav = $audio_url;
			  break;*/			   
			default:
		} 
	}
	if(has_post_thumbnail()){
		$large_image_url  = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'medium');			
		$poster = $large_image_url[0];
	}else{
		$poster = get_post_meta(get_the_ID(), '_junkie_audio_poster_url', true);
	}

	if ( $audio_url ) :
?>
		<div class="audio-thumb">
			<div class="jp-audio-container jp-audio">
				<div class="jp-type-single">
					<div class="jquery-jplayer-audio jp-jplayer" data-orig-width="" mp3="<?php echo $mp3; ?>" m4a=" <?php echo $m4a; ?>" ogg="<?php echo $ogg; ?>" poster="<?php echo $poster; ?>" e-height="" data-orig-height=""></div>
					<?php if ( $audio_url ) : ?>
						<div class="jp-gui">                    
							<div class="jp-audio-interface jp-interface" >
								<ul class="jp-controls">
									<li><a href="#" class="jp-play" tabindex="1" title="play">play</a></li>
									<li><a href="#" class="jp-pause" tabindex="1" title="pause">pause</a></li>
									<li><a href="#" class="jp-mute" tabindex="1" title="mute">mute</a></li>
									<li><a href="#" class="jp-unmute" tabindex="1" title="unmute">unmute</a></li>
								</ul>
								<div class="jp-progress">
									<div class="jp-seek-bar">
										<div class="jp-play-bar"></div>
									</div>
								</div>
								<div class="jp-volume-bar">
									<div class="jp-volume-bar-value"></div>
								</div>
							</div>
						</div>
					<?php endif; ?>
				</div>
			</div>
		</div><!-- .audio-thumb -->
<?php else : ?>
	<?php get_template_part( 'content', 'standard' ); ?>
<?php endif; ?>