<?php
$embed = get_post_meta($post->ID, '_junkie_video_embed_code', true);
$video_url = get_post_meta(get_the_ID(), '_junkie_video_file_url', true);
?>
<?php if ( $embed || $video_url ) : ?>
	<div class="video-thumb">
	<?php 
		// $embed = get_post_meta($post->ID, '_junkie_video_embed_code', true);
		if( !empty( $embed ) ) {
			$embed=stripslashes(htmlspecialchars_decode($embed));
			
			if(substr($embed,0,6)=='<embed')
			$embed="<embed wmode=transparent ".str_replace("<embed","",$embed);//set transparent befor object load
			
			echo $embed;
			 
		} else {

			//$height = get_post_meta(get_the_ID(), '_junkie_video_height', true);
			// $video_url = get_post_meta(get_the_ID(), '_junkie_video_file_url', true);
			$video_format= end(explode(".",$video_url));
			switch ($video_format) {
				case "mp4":
				  $m4v = $video_url;
				  break;  
				case "webm":
				  $webmv = $video_url;
				  break;
				case "ogv":
				  $ogv = $video_url;
				  break;
				case "flv":
				  $flv = $video_url;
				  break;  
				default:
			}
			if(has_post_thumbnail()){
				$large_image_url  = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'medium');			
				$poster = $large_image_url[0];
			}else{
				$poster = get_post_meta(get_the_ID(), '_junkie_video_poster_url', true);
			}
	?>
		<div class="jp-video-container jp-video jp-video-normal">
			<div class="jp-type-single">
				<div class="jquery-jplayer-video jp-jplayer" m4v="<?php echo $m4v; ?>" webmv="<?php echo $webmv; ?>" ogv="<?php echo $ogv; ?>" flv="<?php echo $flv; ?>" poster="<?php echo $poster; ?>" data-orig-width="100%" data-orig-height="100%"></div>
				<div class="jp-gui">
					<div class="jp-video-interface jp-interface">
						<ul class="jp-controls">
							<li><a href="#" class="jp-play" tabindex="1">play</a></li>
							<li><a href="#" class="jp-pause" tabindex="1">pause</a></li>
							<li><a href="#" class="jp-mute" tabindex="1">mute</a></li>
							<li><a href="#" class="jp-unmute" tabindex="1">unmute</a></li>
						</ul>
						<div class="jp-progress">
							<div class="jp-seek-bar">
								<div class="jp-play-bar"></div>
							</div>
						</div>
						<div class="jp-volume-bar">
							<div class="jp-volume-bar-value"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	<?php } ?>
	</div><!-- .video-thumb -->
<?php else : ?>
	<?php get_template_part( 'content', 'standard' ); ?>
<?php endif; ?>	