<?php
$shortname= strtolower(wp_get_theme()->Name);
if(isset($_POST["likeid"])&&is_numeric($_POST["likeid"]))//inner cookie
	setrawcookie("like_me_".(int)$_POST['likeid'],'1', time()+3600*24*365);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes( 'xhtml' ); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>" charset="<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title><?php tj_custom_titles(); ?></title>
<?php tj_custom_description(); ?>
<?php tj_custom_keywords(); ?>
<?php tj_custom_canonical(); ?>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/incldues/js/css3-mediaqueries.js"></script>
<![endif]-->
<!--[if lt IE 7]>
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/font-awesome-ie7.min.css">
<![endif]-->
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<div id="top">

	<div class="container clearfix">
		<div class="menu-button"><i class="icon-align-justify"></i></div>
		<?php if (get_option('pinable_text_logo_enable') == 'on') { ?>
			<div id="text-logo">
				<h1 id="site-title"><a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?></a></h1>
				<p id="site-desc"><?php bloginfo('description'); ?></p>
			</div><!-- #text-logo -->
		<?php } else { ?>
			<a href="<?php echo home_url(); ?>">
				<?php $logo = (get_option('pinable_logo') <> '') ? get_option('pinable_logo') : get_template_directory_uri().'/images/logo.png'; ?>
				<img src="<?php echo $logo; ?>" alt="<?php bloginfo('name'); ?>" id="logo" />
			</a>
		<?php }?>
		
		<nav id="primary-nav">
		    <?php $menuClass = 'nav';
			$menuID = 'primary-navigation';
			$primaryNav = '';
			if (function_exists('wp_nav_menu')) {
				$primaryNav = wp_nav_menu( array( 'theme_location' => 'primary-nav', 'container' => '', 'fallback_cb' => '', 'menu_class' => $menuClass, 'menu_id' => $menuID, 'echo' => false ) );
			};
			if ($primaryNav == '') { ?>
				<ul id="<?php echo $menuID; ?>" class="<?php echo $menuClass; ?>">
			<?php if (get_option('pinable_home_link') == 'on') { ?>
					<li class="<?php if(!is_page()) echo('first');?>"><a href="<?php echo home_url(); ?>"><?php _e('Home', 'junkie') ?></a></li>
			<?php } ?>						
					<?php show_page_menu($menuClass,false,false); ?>
				</ul>
			<?php }	else echo($primaryNav); ?>
		</nav><!-- #primary-nav -->
				
		<?php get_search_form(); ?>
					
	</div><!-- .container -->
	
</div><!-- #top -->

<header id="header">

	<div class="container clearfix">
	
			<nav id="secondary-nav">
				<?php $menuClass = 'nav';
				$menuID = 'secondary-navigation';
				$secondaryNav = '';
				if (function_exists('wp_nav_menu')) {
					$secondaryNav = wp_nav_menu( array( 'theme_location' => 'secondary-nav', 'container' => '', 'fallback_cb' => '', 'menu_class' => $menuClass, 'menu_id' => $menuID, 'echo' => false ) );
				};
				if ($secondaryNav == '') { ?>
					<ul id="<?php echo $menuID; ?>" class="<?php echo $menuClass; ?>">
						<?php show_categories_menu($menuClass,false,false); ?>
					</ul>
				<?php }	else echo($secondaryNav); ?>
			</nav><!-- #secondary-nav -->
			
			<div class="social-icons">
			
				<?php _e('Follow:', 'junkie'); ?>

				<?php if(get_option('pinable_twitter_link') <> null) : ?>
					<a href="<?php echo get_option('pinable_twitter_link'); ?>"><i class="icon-twitter"></i></a>
				<?php endif; ?>
													
				<?php if(get_option('pinable_facebook_link') <> null) : ?>
					<a href="<?php echo get_option('pinable_facebook_link'); ?>"><i class="icon-facebook"></i></a>
				<?php endif; ?>

				<?php if(get_option('pinable_google_plus_link') <> null) : ?>
					<a href="<?php echo get_option('pinable_google_plus_link'); ?>"><i class="icon-google-plus"></i></a>
				<?php endif; ?>

				<?php if(get_option('pinable_pinterest_link') <> null) : ?>
					<a href="<?php echo get_option('pinable_pinterest_link'); ?>"><i class="icon-pinterest"></i></a>
				<?php endif; ?>

				<?php if(get_option('pinable_rss_link') <> null) : ?>
					<a href="<?php echo get_option('pinable_rss_link'); ?>"><i class="icon-rss"></i></a>
				<?php endif; ?>
				
				<?php if(get_option('pinable_subscription_link') <> null) : ?>
					<a href="<?php echo get_option('pinable_subscription_link'); ?>"><i class="icon-envelope"></i></a>
				<?php endif; ?>
												
			</div><!-- .social-icons -->
			
	</div><!-- .container -->
				
</header><!-- #header -->

<?php if(get_option('pinable_header_ad_enable') == 'on') : ?>
	<div class="header-ad">
		<?php echo get_option('pinable_header_ad_code'); ?>
	</div><!-- .header-ad -->
<?php endif; ?>

<?php if((!is_home()) && (!is_archive()) && (!is_search())) : ?>
	<div id="wrapper" class="clearfix">
<?php endif; ?>