<?php
	get_header();
	$format = get_post_format();
	$view_num=get_post_meta( $post->ID, "view_num", true );
	update_post_meta($post->ID,"view_num",$view_num+1);
	
?>

	<div id="content">
	
		<?php
			while ( have_posts() ) : the_post();
		?>
	
		<h1 class="entry-title"><?php echo get_the_title(get_the_ID()); ?></h1>

		<header class="entry-header clearfix">
			<div class="entry-meta">
				<?php _e('by','junkie'); ?> <span><?php the_author_posts_link(); ?></span> <?php _e('on','junkie'); ?> <span><?php the_time('M d, Y'); ?></span>
			</div><!-- .entry-meta -->
		</header><!-- .entry-header -->			
			
		<?php 
			if ( has_post_thumbnail()&&$format == 'gallery') {
				$large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'large'); ?>
				<div class="entry-thumb">
				    <a href="<?php echo $large_image_url[0]; ?>" class='fancybox' rel='gallery<?php echo $post->ID; ?>'>
				    <?php echo get_the_post_thumbnail($post->ID, 'large'); ?>
				    </a>
				</div><!-- .entry-thumb -->
		<?php } ?>
	
		<?php
				if($format == 'gallery') {
					$meta = get_post_meta(  get_the_ID(), '_junkie_image_ids', true );
					//print_r($meta);
					if( $meta ) {
						$thumbs = explode(',', $meta);
						echo '<ul class="img-list clearfix">';
						$i = 0;
						foreach( $thumbs as $thumb ) {
							if($thumb){
								$large_image_url =  wp_get_attachment_image_src($thumb, 'large');
								$src = wp_get_attachment_image_src($thumb, 'thumbnail');
								$i = 0?$fist="class='first'":$fist="";
								echo "<li ".$fist.">";
								echo "<a href='$large_image_url[0]'  class='fancybox' rel='gallery".get_the_ID()."' title='". get_the_title(get_the_ID())."' ><img src='$src[0]'></a>";
								echo "</li>";
								$i++;
							}
						}
						echo '</ul>';
					}
					
				} else {
					echo get_template_part( 'content', $format);
				}
				if($format <> 'quote'){
					echo "<div class=\"entry-content\">";
					if(get_option($shortname."_integrate_singletop_enable")=='on')
						echo get_option($shortname."_integration_single_top");
					the_content();
					if(get_option($shortname."_integrate_singlebottom_enable")=='on')
						echo get_option($shortname."_integration_single_bottom");
					echo "</div>";
				}
			
		?>
		<?php 
			endwhile; // end of the loop.
		?>
		
        <footer class="entry-footer clearfix">
        
		<div class="left">
            <span class="likeit" mid='<?php echo get_the_ID()?>' ><i class="icon-heart-empty" ></i><span><?php 
             if(get_post_meta(get_the_ID(), 'junkie_likeit',true))
                echo get_post_meta(get_the_ID(), 'junkie_likeit',true);
             else
             echo 0; ?></span></span>
		</div>
		
        <div class="right">
	    	<span class="entry-categories"><i class="icon-folder-open"></i> <?php the_category(', ') ?></span>        
	    	<?php the_tags('<span class="entry-tags"><i class="icon-tags"></i> ',', ','</span>'); ?>
		
	    	<span class="view-count"><i class="icon-camera"></i><a href="<?php the_permalink(); ?>"> 
			 <?php
				$view_num=get_post_meta( $post->ID, "view_num", true );
				if($view_num)
				echo $view_num;
				else
				echo "0"; ?>
	         </a></span>

		 <span class="comment-count"><i class="icon-comment"></i> <?php comments_popup_link('0', '1', '%')?></span>
         
         		
		<?php edit_post_link( __('Edit', 'junkie'), ' <span class="edit-post"><i class="icon-edit-sign"></i> ', '</span>' ); ?>
				        

        </div>
        
        </footer><!-- .entry-footer -->	
        
		
		<?php if(get_option('pinable_show_post_comments') == 'on') { ?>
		
	  		<?php comments_template('', true);  ?> 
	  		
	  	<?php } ?>

		<?php if(get_option('pinable_post_nav_enable') == 'on') : ?>
		  	
			<div class="post-nav clearfix">
				<?php previous_post_link('<span class="previous-post-link">&larr; %link</span>'); ?>
				<?php next_post_link('<span class="next-post-link">%link &rarr;</span>'); ?>
			</div><!-- .post-nav -->	
			
		<?php endif; ?>
	    
	    
    </div><!-- #content -->
    
	<?php get_sidebar(); ?>

<?php get_footer(); ?>